/// <reference types="react" />
import * as React from 'react';
import * as data from '../../data';
export interface INestedFormInputState {
}
export interface INestedFormInputProps {
    showIndex?: boolean;
    showDeleteBtn?: boolean;
    createButton?: data.IEditableControlSource;
}
export declare class NestedFormInput extends React.PureComponent<data.IFieldInputProps & INestedFormInputProps, INestedFormInputState> {
    private fieldStatus;
    static defaultProps: data.IFieldInputProps & INestedFormInputProps;
    constructor(props: data.IFieldInputProps & INestedFormInputProps);
    render(): JSX.Element;
    private renderEntry(entry, index);
    private onCreateEntry(event);
    private onDeleteEntry(index);
    private onEntryValueChanged(value, formStatus, index);
    private updateFieldStatus();
    private renderCreateButton();
}
